"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DefaultCommand = exports.TaskCommand = void 0;
require("../Sort");
const TaskRun_1 = require("./TaskRun");
const TaskList_1 = require("./TaskList");
const TaskShebang_1 = require("./TaskShebang");
const TaskSort_1 = require("./TaskSort");
class TaskCommand {
    constructor() {
        this.command = '$0 <command>';
        this.builder = (args) => {
            return args
                .positional('command', {
                choices: ['index', 'list', 'run', 'shebang', 'sort'],
                default: 'run',
                type: 'string',
            })
                .option('cwd', {
                default: process.cwd(),
                type: 'string',
            })
                .option('no-ignore-empty-lines', {
                boolean: true,
                default: true,
                type: 'boolean',
            })
                .option('log-levels', {
                alias: 'l',
                array: true,
                default: ['info'],
                type: 'string',
            })
                .option('no-validate', {
                alias: 'v',
                boolean: true,
                default: false,
                type: 'boolean',
            })
                .command(TaskList_1.TaskListCommand)
                .command(TaskRun_1.TaskRunCommand)
                .command(TaskShebang_1.ShebangCommand)
                .command(TaskSort_1.TaskSortCommand);
        };
        this.handler = (args) => {
            return;
        };
    }
}
exports.TaskCommand = TaskCommand;
exports.DefaultCommand = new TaskCommand();
//# sourceMappingURL=TaskCommand.js.map