"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TaskListCommand = exports.TaskList = void 0;
const TaskConfigLoader_1 = require("../Tasks/TaskConfigLoader");
const TaskConfigNotFound_1 = require("../Errors/TaskConfigNotFound");
class TaskList {
    constructor() {
        this.aliases = ['list', 'ls'];
        this.command = 'list [name]';
        this.builder = {
            origin: {
                alias: 'o',
                default: false,
                type: 'boolean',
            },
        };
        this.handler = (args) => __awaiter(this, void 0, void 0, function* () {
            const tasks = yield TaskConfigLoader_1.taskConfigLoader(args.cwd);
            if (tasks === null) {
                throw new TaskConfigNotFound_1.TaskConfigNotFound();
            }
            if (args.name) {
                const entries = tasks.getStepEntries(args.name);
                const jsonstr = JSON.stringify(entries, null, 2);
                return console.log(jsonstr);
            }
            return tasks.getRunnableEntries().map((step) => console.log(step));
        });
    }
}
exports.TaskList = TaskList;
exports.TaskListCommand = new TaskList();
//# sourceMappingURL=TaskList.js.map