"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.objectSort = void 0;
const common_1 = require("@nnode/common");
const ArraySort_1 = require("./ArraySort");
const SortOptions_1 = require("./SortOptions");
function objectSort(instance, options = {}) {
    const opts = common_1.Merge(SortOptions_1.DefaultSortOptions, options);
    if (typeof instance !== 'object' || instance === null) {
        return {};
    }
    if (Array.isArray(instance)) {
        const instances = instance;
        return instances.reduce((result, current) => common_1.Merge(result, objectSort(current)), {});
    }
    if (typeof instance === 'object' && instance !== null) {
        const instanceObject = instance;
        return Object.keys(instanceObject)
            .sort()
            .reduce((result, current) => {
            const value = (result[current] = instanceObject[current]);
            if (Array.isArray(value) && opts.sortArray) {
                result[current] = ArraySort_1.arraySort(value, opts);
            }
            else if (typeof value === 'object' && value !== null) {
                result[current] = objectSort(value, opts);
            }
            return result;
        }, {});
    }
    throw new Error('what the hell');
}
exports.objectSort = objectSort;
//# sourceMappingURL=ObjectSort.js.map