"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.taskValidateFile = exports.taskValidate = void 0;
const fs_1 = require("@nofrills/fs");
const jsonschema_1 = require("jsonschema");
const schema = require('../Schemas/task-schema.json');
function taskValidate(json) {
    return __awaiter(this, void 0, void 0, function* () {
        const result = jsonschema_1.validate(json, schema);
        return result.valid;
    });
}
exports.taskValidate = taskValidate;
function taskValidateFile(filename) {
    return __awaiter(this, void 0, void 0, function* () {
        if ((yield fs_1.fs.exists(filename)) === false) {
            return false;
        }
        const json = yield fs_1.fs.json(filename);
        return taskValidate(json);
    });
}
exports.taskValidateFile = taskValidateFile;
//# sourceMappingURL=TaskValidate.js.map